Delete the Creative

You can delete the creative for a specific advertiser using this POST call

Note: You can only delete creatives in draft state i.e. the creative which is not submitted yet

📘

URL: POST /api/v1/creatives/delete

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID for the specific advertiserintegerYA valid advertiser ID
creativeIdThe ID of the creativestringYA valid creative ID

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST \ 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/delete'\ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779'\ --data '{ "advertiserId": 123, "creativeId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" }'

Sample Response - Success

204 No Content 

Error Response

FieldDescriptionOptional field/Nullable?TypePossible values
codecode returns failure in error scenariosNstringfailure
detailsList of error codes associated with the request. Use these codes for programmatic error handling.NarrayRefer to this link for detailed error messages
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors Array Object Details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response - Failure

{ "code": "failure", "details": [ "string" ],   "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]

Did this page help you?